aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Palfrader <peter@palfrader.org>2008-06-11 10:59:16 +0000
committerPeter Palfrader <peter@palfrader.org>2008-06-11 10:59:16 +0000
commit2f200e5f38b2d3a10b13ff0db54c9b8ce143a1a6 (patch)
treec99542bb5b9acbf8173803b693e8ba530df997b5
parent8b9d97ac637ede920a6068e9bc37cc4cf51998dd (diff)
downloadtor-2f200e5f38b2d3a10b13ff0db54c9b8ce143a1a6.tar.gz
tor-2f200e5f38b2d3a10b13ff0db54c9b8ce143a1a6.zip
Add patches/14_fix_geoip_warning: Change geoipdb open failed message.
svn:r15128
-rw-r--r--debian/changelog3
-rw-r--r--debian/patches/00list1
-rwxr-xr-xdebian/patches/14_fix_geoip_warning.dpatch37
3 files changed, 40 insertions, 1 deletions
diff --git a/debian/changelog b/debian/changelog
index d0def1214c..4ef6fef148 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,8 +4,9 @@ tor (0.2.0.27-rc-X) Xxperimental; urgency=low
it is no longer needed: We now setuid() to the Tor user
when run as root and it all just works.
* Add comments to the dpatch headers so lintian shuts up.
+ * Add patches/14_fix_geoip_warning: Change geoipdb open failed message.
- -- Peter Palfrader <weasel@debian.org> Wed, 11 Jun 2008 11:32:27 +0200
+ -- Peter Palfrader <weasel@debian.org> Wed, 11 Jun 2008 12:55:49 +0200
tor (0.2.0.27-rc-1) experimental; urgency=low
diff --git a/debian/patches/00list b/debian/patches/00list
index 55e970cb07..9260bb7ed5 100644
--- a/debian/patches/00list
+++ b/debian/patches/00list
@@ -2,3 +2,4 @@
03_tor_manpage_in_section_8.dpatch
06_add_compile_time_defaults.dpatch
07_log_to_file_by_default.dpatch
+14_fix_geoip_warning
diff --git a/debian/patches/14_fix_geoip_warning.dpatch b/debian/patches/14_fix_geoip_warning.dpatch
new file mode 100755
index 0000000000..49adeac6b5
--- /dev/null
+++ b/debian/patches/14_fix_geoip_warning.dpatch
@@ -0,0 +1,37 @@
+#! /bin/sh -e
+## 14_fix_geoip_warning.dpatch by <weasel@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Change geoipdb open failed message
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad git-stable~/src/or/geoip.c git-stable/src/or/geoip.c
+--- git-stable~/src/or/geoip.c 2008-06-06 01:00:41.000000000 +0200
++++ git-stable/src/or/geoip.c 2008-06-11 12:54:17.605150644 +0200
+@@ -147,7 +147,7 @@
+ int severity = should_record_bridge_info(options) ? LOG_WARN : LOG_INFO;
+ clear_geoip_db();
+ if (!(f = fopen(filename, "r"))) {
+- log_fn(severity, LD_GENERAL, "Failed to open GEOIP file %s.", filename);
++ log_fn(severity, LD_GENERAL, "Failed to open GEOIP file %s. Do you have the tor-geoipdb package installed?", filename);
+ return -1;
+ }
+ geoip_countries = smartlist_create();